Subject: Pointless "Warning: desktop file appears to be in use by PID ###."

From: Paul Pogonyshev <[email-masked]>
Date: Wed, 27 Jul 2022 18:25:24 +0200

GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 2.24.33,
cairo version 1.16.0) of 2022-07-26

Practically every time I start up Emacs, I get this pointless warning and a
question if I really want to use the desktop file anyway. If there were
actually another Emacs running, this warning would be fine, even useful.
However, in 95% of cases here it happens because computer was shut down,
Emacs crashed etc. In fact, I have just now verified that even if I cleanly
`M-x kill-emacs RET' my Emacs and then start a new one, the new still
thinks that the old, killed Emacs might still be using the desktop file
somehow (i.e. PID is that of the previous Emacs process).

The code in `desktop.el' should really check if the process with that PID
still exists before claiming that it might be using the desktop file
somehow.

Paul